<!DOCTYPE html>
<html lang="en">

<head>
	<title>Tablab - Graphical Reports </title>
	<% include ../partials/head %>

		<script src="https://d3js.org/d3.v4.min.js"></script>

		<!-- Load billboard.js with base style -->
		<script src="/billboard.js/dist/billboard.js"></script>
		<link rel="stylesheet" href="/billboard.js/dist/billboard.css">

		<!-- Owl Stylesheets -->
		<link rel="stylesheet" href="/css/owl.carousel.min.css">
		<link rel="stylesheet" href="/css/owl.theme.default.min.css">

		<!-- Other custom css -->
		<link rel="stylesheet" href="/css/graphCSS.css">

		<style>
			.loader {
				color: white;
			}
		</style>
</head>

<body>
	<%include ../partials/reportsHeader %>

		<div class="container">
			<%include ../partials/graphicalReportFilter%>

				<div id="myCarousel" class="carousel slide" data-ride="carousel" data-interval="false">
					<ol class="carousel-indicators">
						<li data-target="#myCarousel" data-slide-to="0" class="active"></li>
						<li data-target="#myCarousel" data-slide-to="1"></li>
						<li data-target="#myCarousel" data-slide-to="2"></li>
					</ol>
                     
					 <div class="row form-group"  id="errorDiv" style="display:none;">
                                            <div class="col-md-4" style="display:block; margin:10px auto;">
                                                <label>Nothing To Show!</label>
                                                <img src="/images/nothingToShow.png" style="max-width:none;"width="600px" height="300px"/>
                                            </div>
                                        </div>
					 
					<div class="carousel-inner" id= "dataDiv" style="height:80%; margin-top:0%; margin-bottom:3%;">
						<div class="item active" id ="categoryDiv">
							<div id="loader1" class="spinner overlay" style="display:block;">
								<div class="loader">Loading...</div>
							</div>

							<div id="piechart1" class="chart pie-chart" data-chartid="1">Pie Chart</div>
							<div class="carousel-caption caption">
								<h2>Categorywise Usage</h2>
							<p>Click on the coloured bar to view more details</p>
							</div>
						</div>

						<div class="item" id="classDiv">
							<div id="loader2" class="spinner overlay" style="display:block;">
								<div class="loader">Loading...</div>
							</div>

							<div id="piechart2" class="chart pie-chart" data-chartid="2">Pie Chart</div>

							<div class="carousel-caption caption">
								<h2>Classwise Usage</h2>
								<p>Click on the coloured bar to view more details</p>
							</div>
						</div>

						<div class="item" id ="subjectDiv">
							<div id="loader3" class="spinner overlay" style="display:block;">
								<div class="loader">Loading...</div>
							</div>
							<div id="piechart3" class="chart pie-chart" data="3">Pie Chart</div>
							<div class="carousel-caption caption">
								<h2>Subjectwise Usage</h2>
								<p>Click on the coloured bar to view more details</p>
							</div>
						</div>

						<div class="item" id="graphDiv">
							<div id="loader4" class="spinner overlay" style="display:block;">
								<div class="loader">Loading...</div>
							</div>
							<div id="barGraph1" class="chart bar-graph">Bar Chart</div>
							
							<div id="barGraph2" class="chart bar-graph">Bar Chart</div>
							
							<div id="barGraph3" class="chart bar-graph">Bar Chart</div>
							<!-- Please see if the following Div is required or not --> 
							<div class="carousel-caption caption" hidden>
								<h2>Bar Chart</h2>
								<p>We love the Big Apple!</p>
							</div>
							</style>
							
						</div>

						<a id="prev" class="left carousel-control" href="#myCarousel" data-slide="prev">
							<span class="glyphicon glyphicon-chevron-left"></span>
							<span class="sr-only">Previous</span>
						</a>
						<a id="next" class="right carousel-control" href="#myCarousel" data-slide="next">
							<span class="glyphicon glyphicon-chevron-right"></span>
							<span class="sr-only">Next</span>
						</a>
					</div>

					<div class="modal js-modal-pie">
						<div class="modal-dialog">
							<div class="modal-content">
								<div style="margin-bottom:15px; margin-right:5px;">
									<a href="#" class="close" data-dismiss="modal" aria-label="close">&times;</a>
								</div>
								<div class="modal-body">
									<h3 align="center"></h3>
									<div id="modal-pie-chart" class="modal-pie-chart" style="padding-left:40px">
										Loading...
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
</body>
<script src="/js/functions.js"></script>
<script src="/js/graphicalReports.js"></script>

</html>